Bug 447104 - Review Request: qdevelop - development environment for QT4
Review Request: qdevelop - development environment for QT4
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-17 18:52 EDT by Nicoleau Fabien
Modified: 2008-12-08 08:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-08 08:06:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lxtnow: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicoleau Fabien 2008-05-17 18:52:50 EDT
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/qdevelop.spec
SRPM URL: http://nicoleau.fabien.free.fr/rpms/srpms.fc9/qdevelop-0.25.2-4.fc9.eponyme.src.rpm
Description: 
QDevelop is a multi-platforms development environment entirely dedicated to Qt4. It's an independent IDE dedicated to Qt.

This package contains the software "QDevelop" (http://qdevelop.org/). 

This is my first package.

rpmlint is OK on rpm, debuginfo and src.rpm (an error is displayed on the RPM but it's because the package depends on a devel package but is not a devel package (it's an IDE).
Mock build is OK too. 
All outputs check can be found here : http://nicoleau.fabien.free.fr/rpms/rpmbuild-qdevelop
Comment 2 Xavier Lamien 2008-05-28 07:37:23 EDT
Will review this one too
Comment 3 Gianluca Sforna 2008-05-28 07:56:30 EDT
You should use 

%if 0%{?fedora} > 8 otherwise the check will fail in against 10
Comment 4 Nicoleau Fabien 2008-05-28 16:45:33 EDT
Hi. thx for taking care about this review. I've updated the package to fix the
version check as Gianluca Sforna said :
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/qdevelop.spec
SRPM URL:
http://nicoleau.fabien.free.fr/rpms/srpms.fc9/qdevelop-0.25.2-6.fc9.src.rpm
Comment 5 Mamoru TASAKA 2008-06-18 00:19:36 EDT
(Removing NEEDSPONSOR: sponsord by me)
Comment 6 Jason Tibbitts 2008-06-18 16:35:01 EDT
Please remember to set the flags appropriately when you begin a review.
Comment 7 Nicoleau Fabien 2008-07-21 17:42:21 EDT
Update for minor changes :
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/qdevelop.spec
SRPM URL:
http://nicoleau.fabien.free.fr/rpms/srpms.fc9/qdevelop-0.25.2-7.fc9.src.rpm

rpmlint output : 
[eponyme@FEDOBOX tmp]$ rpmlint qdevelop-0.25.2-7.fc9.i386.rpm
qdevelop-0.25.2-7.fc9.src.rpm qdevelop-debuginfo-0.25.2-7.fc9.i386.rpm 
qdevelop.i386: E: devel-dependency qt-devel
3 packages and 0 specfiles checked; 1 errors, 0 warnings.
[eponyme@FEDOBOX tmp]$ 
Comment 8 Nicoleau Fabien 2008-11-06 16:56:59 EST
Update for 0.26.1 :
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/qdevelop.spec
SRPM URL:
http://nicoleau.fabien.free.fr/rpms/srpms.fc9/qdevelop-0.26.1-1.fc9.src.rpm

Changelog :
- Rebuild for 0.26.1
- Add commands for icons menu updating
- Remove patch (no more usefull)

rpmlint output : 
[builder@FEDOBOX tmp]$ rpmlint qdevelop-0.26.1-1.fc9.i386.rpm qdevelop-0.26.1-1.fc9.src.rpm qdevelop-debuginfo-0.26.1-1.fc9.i386.rpm
qdevelop.i386: E: devel-dependency qt-devel
3 packages and 0 specfiles checked; 1 errors, 0 warnings.
[builder@FEDOBOX tmp]$

Rebuild under mock is OK
Comment 9 Xavier Lamien 2008-11-19 19:10:37 EST
re:
Sorry for the few-weeks-late on this bug review.

All things match with the packaging Review guideline (https://fedoraproject.org/wiki/Packaging/ReviewGuidelines) and qt specific requires and build.

Rpmlint issue :
That one can be ignored.
Actually required to avoid 'segmentation fault' (from rawhide tries)

** APPROVED **
Comment 10 Nicoleau Fabien 2008-11-20 07:00:49 EST
Thank you for the review.

New Package CVS Request
=======================
Package Name: qdevelop
Short Description: development environment for Qt4
Owners: eponyme
Branches: F-8 F-9 F-10
InitialCC:
Comment 11 Kevin Fenzi 2008-11-22 23:34:50 EST
cvs done.
Comment 12 Fedora Update System 2008-11-23 07:38:49 EST
qdevelop-0.26.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/qdevelop-0.26.1-1.fc10
Comment 13 Fedora Update System 2008-11-23 07:42:00 EST
qdevelop-0.26.1-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/qdevelop-0.26.1-1.fc9
Comment 14 Fedora Update System 2008-11-23 07:42:59 EST
qdevelop-0.26.1-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/qdevelop-0.26.1-1.fc8
Comment 15 Fedora Update System 2008-11-26 01:11:44 EST
qdevelop-0.26.1-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qdevelop'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/f10/FEDORA-2008-10236
Comment 16 Fedora Update System 2008-11-26 01:25:06 EST
qdevelop-0.26.1-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update qdevelop'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-10411
Comment 17 Fedora Update System 2008-11-26 01:25:10 EST
qdevelop-0.26.1-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update qdevelop'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-10413
Comment 18 Fedora Update System 2008-12-07 14:58:02 EST
qdevelop-0.26.1-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/qdevelop-0.26.1-2.fc10
Comment 19 Fedora Update System 2008-12-07 15:00:29 EST
qdevelop-0.26.1-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/qdevelop-0.26.1-2.fc9
Comment 20 Fedora Update System 2008-12-08 08:06:06 EST
qdevelop-0.26.1-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2008-12-08 08:06:51 EST
qdevelop-0.26.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2008-12-08 08:09:49 EST
qdevelop-0.26.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.